//----------------------------------------------------------------------------
// ObjectWindows
// Copyright (c) 1991, 1995 by Borland International, All Rights Reserved
//----------------------------------------------------------------------------
#include <owl/pch.h>
#include <owl/applicat.h>
#include <owl/framewin.h>
#include <owl/editfile.h>
#include "tipdialg.h"
#include "tipdialg.rh"
#include "test.rh"

class TFileApp : public TApplication {
  public:
    TFileApp() : TApplication("File Window") {}

  protected:
    void   InitMainWindow();
    void   InitInstance();
		void   CmShowTipOfTheDay();

		TTipDialog* Tips;
  	DECLARE_RESPONSE_TABLE(TFileApp);
};

DEFINE_RESPONSE_TABLE1(TFileApp, TApplication)
  EV_COMMAND(CM_HELSHOWTIPS, CmShowTipOfTheDay),
END_RESPONSE_TABLE;

//
// Construct the TFileApp's MainWindow's client of type TEditFile
//
void
TFileApp::InitMainWindow()
{
  MainWindow = new TFrameWindow(0, Name, new TEditFile);
  MainWindow->AssignMenu(IDM_EDITFILE);
  MainWindow->Attr.AccelTable = IDA_EDITFILE;
  MainWindow->SetIcon(this, 201);
}
//
//
void
TFileApp::InitInstance()
{
	TApplication::InitInstance();

  Tips = new TTipDialog(GetMainWindow(), IDD_TIPDLG, TEXT("Software\\OWL\\TipDlg"));
	// This line inserted by 'Tip of the Day' component.
	if(Tips->ShowOnStartup())
		Tips->Create();
}

void
TFileApp::CmShowTipOfTheDay()
{
	if(!Tips->GetHandle())
		Tips->Create();
}


int
OwlMain(int /*argc*/, char* /*argv*/ [])
{
  return TFileApp().Run();
}
